@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400..800;1,400..800&display=swap');

*{
     font-style: normal;
}
body{
    height: auto;
    margin:0;
    overflow-x:hidden;
    overflow-y: scroll;
    font-family: "EB Garamond", serif;
}
main{
    background-color: white;
    z-index: 1;
    position: relative;
    width: 100%;
    display: block;
    height: auto;
    font-family: "EB Garamond", serif;
    padding-bottom: 5rem;
}

video{
    position: fixed;
    top: 0;
    left: 0;
    object-fit: cover;
    width: 100vw;
    height: 100%;
    z-index: -1;
}

/* Fullscreen overlay */
#overlay {
    position: fixed;
    top: 0; left: 0;
    width: 100%; height: 100%;
    background: black;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
    transition: opacity 1s ease;
}

#overlay.hidden {
    opacity: 0;
    pointer-events: none;
}

#revealBtn {
    font-size: var(--fs-2xl);
    font-family: "EB Garamond", serif;
    padding: 1rem 2rem;
    background: #002FA7;
    color: black;
    border: none;
    cursor: pointer;
    transition: background 0.5s ease-in-out, color 0.5s ease-in-out;
}

#revealBtn:hover{
    background: white;
}

main .text-wrapper{
    margin: 25vh auto 0 auto;
    width: 80%;
    height:auto;
    z-index: 2;
    max-width: 70ch; /* desktop cap (~640px) */
    box-sizing: border-box;
    background: rgba(0, 0, 0, 0.234);
    border: 10px solid rgba(0, 0, 0, 0);
}

@media (min-width: 769px){
  main .text-wrapper{
    margin: 30vh auto 0 auto;
  }
}

@media (max-width: 769px), (max-height: 900px) {
  main .text-wrapper {
    max-width: 100%; /* never cap on tablets/phones */
  }
}

.text-wrapper h1{
    font-weight: 500;
    font-size: var(--fs-3xl);
    width: 100%;
    text-align: justify;
    color: white;
    margin: 0 0 1rem 0;
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    line-height: 2.5rem;
    white-space: normal;
    height: auto;
}
@media (min-width: 481px) and (max-width: 768px) {
  .text-wrapper h1 {
    font-size: calc(var(--fs-3xl));
    line-height: 2.6rem;
  }
}

.text-wrapper p{
    color: white;
    font-size: var(--fs-lg);
    font-weight: 600;
    text-align: justify;
}


h1 {
  display: inline-block;          /* necessary for transform */
  /* tweak this until your outline matches what you see */
}
h1 .stretch{
    display: inline-block; 
    transform: scale(1,2); 
    transform-origin: left center;
}

p .stretch{
    transform: scale(1, 1.8);
    transform-origin: left top;
}